<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;


class Hisa extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function hisapaymentmethod() {
        return $this->belongsTo(PaymentMethod::class, 'paymentmethod_id', 'id');
    }

    public function totalhisa() {
        return $this->belongsTo(User::class, 'member_id', 'id');
    }

    public function user() {
        return $this->belongsTo(User::class, 'member_id', 'id');
    }

}
